{
  "name": "jy-ui",
  "version": "1.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc --noEmit & vite build",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --noEmit",
    "lint:eslint": "eslint  --fix --ext .ts,.js,.vue ./src ",
    "lint:prettier": "prettier --write \"**/*.{js,cjs,ts,json,tsx,css,less,scss,vue,html,md}\""
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@logicflow/core": "^1.2.15",
    "@logicflow/extension": "^1.2.16",
    "@vueuse/core": "^10.11.0",
    "axios": "^1.7.2",
    "element-plus": "^2.8.5",
    "html2canvas": "^1.4.1",
    "jspdf": "^2.5.1",
    "mitt": "^3.0.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.1.7",
    "pinia-plugin-persistedstate": "^3.2.1",
    "qs": "^6.12.1",
    "sass": "^1.77.6",
    "screenfull": "^6.0.2",
    "sortablejs": "^1.15.2",
    "terser": "^5.4.0",
    "vue": "^3.4.31",
    "vue-router": "^4.4.0",
    "vue3-print-nb": "^0.1.4"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.8.0",
    "@types/node": "^20.12.5",
    "@types/nprogress": "^0.2.3",
    "@types/qs": "^6.9.15",
    "@types/sortablejs": "^1.15.8",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vitejs/plugin-vue-jsx": "^3.1.0",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "@vue/tsconfig": "^0.5.1",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "fast-glob": "^3.3.2",
    "npm-run-all2": "^6.1.2",
    "prettier": "^3.2.5",
    "typescript": "~5.4.0",
    "unplugin-auto-import": "^0.17.6",
    "unplugin-icons": "^0.19.0",
    "unplugin-vue-components": "^0.27.0",
    "vite": "^5.2.8",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^2.0.11"
  },
  "engines": {
    "node": ">=18.0.0"
  }
}
